"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

WriteStreamTest subclass:#ReadWriteStreamTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Tests-Regression'
!


!ReadWriteStreamTest methodsFor:'setup'!

setUp
    self streamClass:ReadWriteStream
! !

!ReadWriteStreamTest methodsFor:'tests'!

testBasic
    |stream|

    stream := self streamClass on:''.
    self assert:(stream isReadable).
    self assert:(stream isPositionable).
    self assert:(stream isWritable).
    self assert:(stream size == 0).
    self assert:(stream isEmpty)
!

testReadStream

    ^ super testReadStream
! !

!ReadWriteStreamTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
